Bug 472011

Summary: Initrd generated for the pre-build kernel don't work with raid anymore.
Product: [Fedora] Fedora Reporter: Trollkarlen <robbelibobban>
Component: mkinitrdAssignee: Peter Jones <pjones>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 8CC: bertrand.benoit, dcantrell, hdegoede, katzj, kernel-maint, pjones, quintela, robbelibobban, russ+bugzilla-redhat, wtogami
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-01-09 01:49:47 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Trollkarlen 2008-11-18 03:44:48 EST
Description of problem:

My setup:
/boot     raid 1
/         raid 5
/home     raid 5 
/home/ftp raid 5
swap      raid 0 

All software raid using md and lvm volumes.

The last kernel that worked "out of the box" was:
2.6.24.5-85.fc8

The later kernels have a faulty initrd.
The diff follows:
Only in initrd.work/bin: mdadm
diff: initrd/dev/ram: No such file or directory
diff: initrd.work/dev/ram: No such file or directory
Only in initrd.work/etc: mdadm.conf
diff -r initrd/init initrd.work/init
55a56,65
> echo "Loading xor.ko module"
> insmod /lib/xor.ko
> echo "Loading async_tx.ko module"
> insmod /lib/async_tx.ko
> echo "Loading async_memcpy.ko module"
> insmod /lib/async_memcpy.ko
> echo "Loading async_xor.ko module"
> insmod /lib/async_xor.ko
> echo "Loading raid456.ko module"
> insmod /lib/raid456.ko
71a82,83
> echo "Loading raid0.ko module"
> insmod /lib/raid0.ko
79c91,93
< resume LABEL=/SWAP
---
> mdadm -As --auto=yes --run /dev/md2
> mdadm -As --auto=yes --run /dev/md1
> resume /dev/md1
81c95
< mkrootdev -t ext3 -o defaults,ro LABEL=/
---
> mkrootdev -t ext3 -o defaults,ro /dev/md2
Binary files initrd/lib/aic7xxx.ko and initrd.work/lib/aic7xxx.ko differ
Only in initrd.work/lib: async_memcpy.ko
Only in initrd.work/lib: async_tx.ko
Only in initrd.work/lib: async_xor.ko
Binary files initrd/lib/ata_generic.ko and initrd.work/lib/ata_generic.ko differ
Binary files initrd/lib/ehci-hcd.ko and initrd.work/lib/ehci-hcd.ko differ
Binary files initrd/lib/ext3.ko and initrd.work/lib/ext3.ko differ
Binary files initrd/lib/jbd.ko and initrd.work/lib/jbd.ko differ
Binary files initrd/lib/libata.ko and initrd.work/lib/libata.ko differ
Binary files initrd/lib/libglib-2.0.so.0.1400.6 and initrd.work/lib/libglib-2.0.so.0.1400.6 differ
Binary files initrd/lib/mbcache.ko and initrd.work/lib/mbcache.ko differ
Binary files initrd/lib/ohci-hcd.ko and initrd.work/lib/ohci-hcd.ko differ
Binary files initrd/lib/pata_acpi.ko and initrd.work/lib/pata_acpi.ko differ
Only in initrd.work/lib: raid0.ko
Only in initrd.work/lib: raid456.ko
Binary files initrd/lib/sata_nv.ko and initrd.work/lib/sata_nv.ko differ
Binary files initrd/lib/scsi_mod.ko and initrd.work/lib/scsi_mod.ko differ
Binary files initrd/lib/scsi_transport_spi.ko and initrd.work/lib/scsi_transport_spi.ko differ
Binary files initrd/lib/scsi_wait_scan.ko and initrd.work/lib/scsi_wait_scan.ko differ
Binary files initrd/lib/sd_mod.ko and initrd.work/lib/sd_mod.ko differ
Binary files initrd/lib/uhci-hcd.ko and initrd.work/lib/uhci-hcd.ko differ
Only in initrd.work/lib: xor.ko
Only in initrd.work/sbin: mdadm
Binary files initrd/usr/lib/libdhcp6client-0.10.so.0 and initrd.work/usr/lib/libdhcp6client-0.10.so.0 differ

Where initrd is the one that comes when installing kernel-2.6.26.6-49.fc8.
And the initrd.work is the one that comes with kernel-2.6.24.5-85.fc8.

Before the 2.6.26.6-49 the update have worked without any problem.

Version-Release number of selected component (if applicable):
kernel-2.6.25.14-69.fc8
kernel-2.6.26.6-49.fc8

How reproducible:
Very.

Steps to Reproduce:
1. Setup a system as described above.
2. Run "yum update" to get a new kernel.
3. reboot and you kernel will freak out ;-)
  
Actual results:

Expected results:
Working initrd so Im able to boot.

Additional info:

/R
Comment 1 Trollkarlen 2008-11-18 15:37:26 EST
I have isolated the problem to be that I use LABELS for defining devices in my fstab.

like this:
LABEL=euforia/          /                       ext3    defaults                      1 1

If i change to:
/dev/md2          /                       ext3    defaults                      1 1

It works.

It worked on mkinitrd versions before 5.0.32-2 i think because that was the last one i update to.

/R
Comment 2 Bug Zapper 2008-11-26 06:19:09 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Trollkarlen 2008-11-26 06:24:45 EST
Maybe someone can check if this is an issue on newer versions of fedora also.

/R
Comment 4 Bug Zapper 2009-01-09 01:49:47 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.